<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr2MEditView9_layoutBase from './ibizbookusr2-medit-view9-layout-base.vue';

import view_meditviewpanel from '@widgets/ibizbook/main-multieditviewpanel/main-multieditviewpanel.vue';
@Component({
    components: {
        view_meditviewpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr2MEditView9_layout extends IBIZBOOKUsr2MEditView9_layoutBase {

}
</script>